Subject: Re: [linux-usb-devel] [PATCH 1/2] USB: Rework OHCI PPC OF for new bindings

From: Valentine Barshak <[email-masked]>
Date: Thu, 25 Oct 2007 15:48:03 +0400

Grant Likely wrote:
> On 10/24/07, David Brownell <[email-masked]> wrote:
>> On Wednesday 24 October 2007, Matt Sealey wrote:
>>> Can we just make sure real quickly that the changing of compatibles
>>> doesn't break existing, not-easily-flashable firmwares?
>> Yeah, I'm not keen on such breakage either...
> 
> Add my voice to the chorus.  It's okay to change the binding, but make
> sure the old binding is still supported.
> 
> Cheers,
> g.
> 

Actually, I thought that changing the DTS stuff for mpc52xx boards would 
suffice. Sorry, I was unaware of Efika firmware here. I'll keep old 
bindings as well.
Does the device tree have "ohci-bigendian" or "ohci-be" compatible 
property on Efika?
Thanks,
Valentine.